Page MenuHomePhabricator

Improve styling of the non-js editor in mobile so the form is usable
Closed, ResolvedPublic0 Story Points

Description

Non-js editing was just enabled on Ptwiki (https://gerrit.wikimedia.org/r/361455) but it looking terribly cluttered and not very usable.


Please

  • Change the font size of the text at the top of the page (include it in the .action-submit .preview-limit-report-wrapper, .action-edit .preview-limit-report-wrapper, .action-submit .diff-otitle, .action-edit .diff-otitle, .action-submit .diff-ntitle, .action-edit .diff-ntitle, .action-submit #section_0, .action-edit #section_0, .action-submit #editpage-copywarn, .action-edit #editpage-copywarn, .action-submit #mw-anon-edit-warning, .action-edit #mw-anon-edit-warning css rule?)
  • Reconsider displaying .mw-editTools or at least make it less in-your-face.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2017, 6:16 PM

Including the other elements in the #mw-anon-edit-warning css rule and adding some specific styles to the top "warning" box results in:

but it still looks badly designed.
This looks terribly broken and unprofessional in current form.
We can do better @Niharika and @Jdforrester-WMF ...

I'm minded to decline these kind of changes in general. Ultimately if the community want this to look terrible, that's how it's going to appear. Trying to hack code around community-maintained interface content is just a race to the bottom; normally, we ask the community to reconsider their choices.

This is not community maintained content.

The edit notice is provided by core:
https://github.com/wikimedia/mediawiki/blob/master/includes/Title.php#L4846

As are edit-tools
https://github.com/wikimedia/mediawiki/blob/master/includes/htmlform/fields/HTMLEditTools.php#L26

The mobile editor is not styling either correctly. I'm writing a patch...

Change 363643 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Minor modifications to core editing elements in non-js mode

https://gerrit.wikimedia.org/r/363643

Change 363643 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Minor modifications to core editing elements in non-js mode

https://gerrit.wikimedia.org/r/363643

So the remaining part seems to be a non-style-guide conforming warning message coming from the community. @Jdlrobson Resolve what we could resolve?

Jdlrobson closed this task as Resolved.Jul 7 2017, 11:37 PM
Jdlrobson claimed this task.

Yes I think the remaining work involves T166915 and T127405

I've had a go at communicating the change by the edit button in good faith:
https://pt.wikipedia.org/wiki/MediaWiki:Editnotice-0

I'm hoping that will be seen as an improvement. If not we'll at least know a little more and have the starting point of a conversation.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 7 2017, 11:37 PM
Jdforrester-WMF set the point value for this task to 0.Jul 10 2017, 11:12 PM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF removed a project: Patch-For-Review.